Update current user password

Updates the password of the current user. The request must include the current password.

Note: In the interface, password settings are not available with a Tenable One license, because Tenable Vulnerability Management manages authentication.

No permission is required beyond those every role holds. See Permissions Every Role Holds.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Validates the PUT /users/password request

string
required
length ≥ 12
^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*\W).{12,}$

Specifies the current password.

string
required
length ≥ 12
^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*\W).{12,}$

Specifies the new password. It must contain at least 12 characters, including a lowercase letter, an uppercase letter, a number and a special character.

Responses
204

Returned if the password was updated successfully.

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json